Version 4.0.26.10 (latest)
Search Conversations
Returns an array of conversation objects that match the specified search criteria. This will only return conversations owned by the current user.
The parameters limit, and offset are recommended for fetching results in page-size chunks.
Get a single conversation by id with get_conversation()
Request
GET
/conversations/search
Datatype
Description
Request
query
Expand HTTP Query definition...
id
Match conversation id. Can be a comma-separated list of ids.
name
Match conversation name.
agent_id
Match conversations with a particular agent. Pass "null" to find conversations with no agent, or "not null" to find conversations with any agent.
fields
Requested fields.
limit
Number of results to return. (used with offset)
offset
Number of results to skip before returning. (used with limit)
sorts
One or more fields to sort by. Sortable fields: [:id, :name, :user_id, :agent_id, :created_at, :updated_at, :category]
filter_or
Combine given search criteria in a boolean OR expression
category
Filter on conversation category. Can be a comma-separated list of categories.
deleted
Filter on soft deleted conversations.
Response
200: conversations
Datatype
Description
(array)
can
lock
Operations the current user is able to perform on this object
id
lock
Conversation unique identifier
name
Conversation name
category
The category of the conversation (e.g., dashboard, conversation)
sources
Expand Source definition...
model
Source model
explore
Source explore
user_id
lock
User id
agent_id
Agent id
deleted
Is conversation soft deleted
created_at
lock
Conversation created_at
updated_at
lock
Conversation updated_at
messages
Expand ConversationMessage definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Message unique identifier
message
Message content
type
Message type
order
lock
Message order
conversation_agent
lock
Agent for this conversation
Expand Agent definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Agent unique identifier
created_by_user_id
User that created the Agent
created_by_name
lock
Name of user that created the Agent
created_by_first_name
lock
Name of user that created the Agent
created_by_last_name
lock
Name of user that created the Agent
created_by_avatar_url
lock
Avatar URL of user that created the Agent
name
Agent name
description
Agent description
category
The category of the agent (e.g., dashboard, conversation)
sources
Expand Source definition...
model
Source model
explore
Source explore
has_inaccessible_source
lock
Has inaccessible source
golden_queries
Expand GoldenQuery definition...
can
lock
Operations the current user is able to perform on this object
id
lock
Unique identifier for the golden question
query_id
lock
ID of the associated Looker Query resolved from the answer
questions
answer
The Explore URL representing the answer to the question
is_active
Whether this golden question should be utilized by the agent
created_by_user_id
lock
ID of the user who created the question
last_updated_by_user_id
lock
ID of the user who last updated the question
created_at
lock
Time when the question was created
last_updated_at
lock
Time when the question was last updated
golden_query_ids
context
Agent context
Expand Context definition...
instructions
Agent instructions
deleted
Is Agent soft deleted
created_at
lock
Agent created_at
updated_at
lock
Agent updated_at
content_metadata_id
lock
Content metadata ID for this Agent
code_interpreter
Enables Code Interpreter for this Agent
studio_agent_id
lock
Studio Agent ID (if this agent was migrated)
workflow_params
Workflow parameters
Expand WorkflowParams definition...
primary_agent
The ID of the primary parent agent
polling_frequency_cron
Crontab specifying the execution frequency
destination
Workflow delivery destination
missing_agent
lock
Agent associated with this conversation was deleted
studio_conversation_id
lock
Studio Conversation ID (if this conversation was migrated)
400: Bad Request
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link
404: Not Found
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link
429: Too Many Requests
Datatype
Description
(object)
message
lock
Error details
documentation_url
lock
Documentation link